Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.ui
Class ContentTreeExpandListener

    java.lang.Object
      org.teleal.cling.support.contentdirectory.ui.ContentTreeExpandListener

All Implemented Interfaces:
  EventListener, TreeWillExpandListener

    public class ContentTreeExpandListener

extends Object
implements TreeWillExpandListener

Field Summary
`protected ContentBrowseActionCallbackCreator` | `actionCreator`
`protected org.teleal.cling.controlpoint.ControlPoint` | `controlPoint`
`protected org.teleal.cling.model.meta.DeviceService` | `deviceService`
`protected DefaultTreeModel` | `treeModel`

Constructor Summary
`ContentTreeExpandListener(org.teleal.cling.controlpoint.ControlPoint controlPoint, org.teleal.cling.model.meta.DeviceService deviceService, DefaultTreeModel treeModel, ContentBrowseActionCallbackCreator actionCreator)`

Method Summary
`void` | `treeWillCollapse(TreeExpansionEvent e)`
`void` | `treeWillExpand(TreeExpansionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### controlPoint

    protected final org.teleal.cling.controlpoint.ControlPoint controlPoint

### deviceService

    protected final org.teleal.cling.model.meta.DeviceService deviceService

### treeModel

    protected final DefaultTreeModel treeModel

### actionCreator

    protected final ContentBrowseActionCallbackCreator actionCreator

Constructor Detail

### ContentTreeExpandListener

    public ContentTreeExpandListener(org.teleal.cling.controlpoint.ControlPoint controlPoint,
                                     org.teleal.cling.model.meta.DeviceService deviceService,
                                     DefaultTreeModel treeModel,
                                     ContentBrowseActionCallbackCreator actionCreator)

Method Detail

### treeWillExpand

    public void treeWillExpand(TreeExpansionEvent e)
                        throws ExpandVetoException

  Specified by:
    `treeWillExpand` in interface `TreeWillExpandListener`
  Throws:
    `ExpandVetoException`

### treeWillCollapse

    public void treeWillCollapse(TreeExpansionEvent e)
                          throws ExpandVetoException

  Specified by:
    `treeWillCollapse` in interface `TreeWillExpandListener`
  Throws:
    `ExpandVetoException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.